## org.biojava.bibliography
Class BiblioPatent

    java.lang.Object
      org.biojava.bibliography.BibRef
          org.biojava.bibliography.BiblioPatent

public class BiblioPatent
extends BibRef

It represents a patent.

Version:
  $Id: BiblioPatent.java,v 1.2 2002/02/14 16:27:54 mrp Exp $
Author:
  Martin Senger

Field Summary
`java.lang.String[]` `applicants`
`java.lang.String` `docNumber`
`java.lang.String` `docOffice`
`java.lang.String` `docType`

Fields inherited from class org.biojava.bibliography.BibRef
`authors, contributors, coverage, crossReferences, date, description, entryStatus, format, identifier, language, properties, publisher, rights, subject, title, type`

Constructor Summary
`BiblioPatent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### docNumber

    public java.lang.String docNumber

### docOffice

    public java.lang.String docOffice

### docType

    public java.lang.String docType

### applicants

    public java.lang.String[] applicants

Constructor Detail

### BiblioPatent

    public BiblioPatent()